import { MenuItem } from './menu-item';
import { WindowService } from '@ironsource/fusion-ui/services/window';
import * as i0 from "@angular/core";
export declare class MenuService {
    private windowService;
    menuItems: Array<MenuItem>;
    selectedItem: MenuItem;
    constructor(windowService: WindowService);
    /**
     * Set menu items collection from JSON data
     */
    setMenuItems(menuItems: MenuItem[], currentPath?: string): void;
    setSelectedByRoute(route: string): void;
    private checkBySubRoutes;
    /**
     * return menu items collection to the menu controller
     * here we can use some manipulation if needed
     */
    getMenuItems(): MenuItem[];
    /**
     * Just set menu item that was clicked to selected
     */
    setSelected(menuItem: MenuItem): void;
    /**
     * Check if item or one of it's child selected
     */
    isSelected(menuItem: MenuItem): boolean;
    /**
     * Check if menu item need to be opened (selected and has child)
     */
    isOpened(menuItem: MenuItem): boolean;
    /**
     * Store pre-selected menu for using in platform (DSI 1.5)
     */
    setPlatformMenuPath(menuPath: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MenuService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MenuService>;
}
